Bug 1433260 - cns_deploy command failed: The DeploymentConfig "heketi" is invalid
Summary: cns_deploy command failed: The DeploymentConfig "heketi" is invalid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: cns-deploy-tool
Version: cns-3.5
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: CNS 3.5
Assignee: Mohamed Ashiq
QA Contact: Apeksha
URL:
Whiteboard:
Depends On: 1433304
Blocks: 1415600
TreeView+ depends on / blocked
 
Reported: 2017-03-17 08:45 UTC by Apeksha
Modified: 2018-12-06 19:27 UTC (History)
6 users (show)

Fixed In Version: cns-deploy-4.0.0-4.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-20 18:27:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1112 normal SHIPPED_LIVE cns-deploy-tool bug fix and enhancement update 2017-04-20 22:25:47 UTC

Description Apeksha 2017-03-17 08:45:04 UTC
Description of problem:
cns_deploy command failed
The DeploymentConfig "heketi" is invalid: spec.template.metadata.labels: Invalid value: {"glusterfs":"heketi-pod"}: `selector` does not match template `labels`

Version-Release number of selected component (if applicable):
cns-deploy-4.0.0-3.el7rhgs.x86_64
heketi-client-4.0.0-2.el7rhgs.x86_64
atomic-openshift-3.5.0.54-1.git.0.8a981f7.el7.x86_64
docker-1.12.6-14.el7.x86_64


Steps:
1. Installed openshift
2. Setup the router
3. Run the cns_deploy command, it fails.

Output of the command:
Using OpenShift CLI.\nNAME      STATUS    AGE\naplo      Active    13m\nUsing namespace "aplo".\nChecking that heketi pod is not running ... OK\ntemplate "deploy-heketi" created\nserviceaccount "heketi-service-account" created\ntemplate "heketi" created\ntemplate "glusterfs" created\nrole "edit" added: "system:serviceaccount:aplo:heketi-service-account"\nnode "rhsauto041.lab.eng.blr.redhat.com" labeled\nnode "rhsauto047.lab.eng.blr.redhat.com" labeled\nnode "rhsauto049.lab.eng.blr.redhat.com" labeled\ndaemonset "glusterfs" created\nWaiting for GlusterFS pods to start ... OK\nservice "deploy-heketi" created\nroute "deploy-heketi" created\ndeploymentconfig "deploy-heketi" created\nWaiting for deploy-heketi pod to start ... OK\nCreating cluster ... ID: a50121b7a15edcb19141fc41e8a08884\nCreating node rhsauto041.lab.eng.blr.redhat.com ... ID: 2143d69b290fd1966f4f5f189e42e74d\nAdding device /dev/vdc ... OK\nAdding device /dev/vdd ... OK\nAdding device /dev/vde ... OK\nAdding device /dev/vdf ... OK\nCreating node rhsauto047.lab.eng.blr.redhat.com ... ID: e43e4a6e95e252256ebe4ce41519f8e1\nAdding device /dev/vdc ... OK\nAdding device /dev/vdd ... OK\nAdding device /dev/vde ... OK\nAdding device /dev/vdf ... OK\nCreating node rhsauto049.lab.eng.blr.redhat.com ... ID: 9f3c0607bf0320169f2b027156dfa4e7\nAdding device /dev/vdc ... OK\nAdding device /dev/vdd ... OK\nAdding device /dev/vde ... OK\nAdding device /dev/vdf ... OK\nheketi topology loaded.\nSaving heketi-storage.json\nsecret "heketi-storage-secret" created\nendpoints "heketi-storage-endpoints" created\nservice "heketi-storage-endpoints" created\njob "heketi-storage-copy-job" created\ndeploymentconfig "deploy-heketi" deleted\nroute "deploy-heketi" deleted\nservice "deploy-heketi" deleted\njob "heketi-storage-copy-job" deleted\npod "deploy-heketi-1-r71lv" deleted\nsecret "heketi-storage-secret" deleted\nservice "heketi" created\nroute "heketi" created\nThe DeploymentConfig "heketi" is invalid: spec.template.metadata.labels: Invalid value: {"glusterfs":"heketi-pod"}: `selector` does not match template `labels`\nWaiting for heketi pod to start ... OK\nFailed to communicate with heketi service.\nPlease verify that a router has been properly configured.\nservice "heketi" deleted\nserviceaccount "heketi-service-account" deleted\npod "deploy-heketi-1-r71lv" deleted\nservice "heketi-storage-endpoints" deleted\nroute "heketi" deleted\ntemplate "deploy-heketi" deleted\ntemplate "heketi" deleted\nnode "rhsauto041.lab.eng.blr.redhat.com" labeled\nnode "rhsauto047.lab.eng.blr.redhat.com" labeled\nnode "rhsauto049.lab.eng.blr.redhat.com" labeled\ndaemonset "glusterfs" deleted\ntemplate "glusterfs" deleted\n', 'Error from server (NotFound): deploymentconfig "heketi" not found\nError from server (NotFound): secrets "heketi-db-backup" not found\n

[root@rhsauto044 ~]# oc status
In project aplo on server https://10.70.40.121:8443

svc/aplo-router - 172.30.159.112 ports 80, 443, 1936
  dc/aplo-router deploys docker.io/openshift3/ose-haproxy-router:v3.5.0.54 
    deployment #1 deployed 29 minutes ago - 1 pod

View details with 'oc describe <resource>/<name>' or list everything with 'oc get all'.
[root@rhsauto044 ~]# oc get pods
NAME                  READY     STATUS    RESTARTS   AGE
aplo-router-1-k9psg   1/1       Running   0          29m

Comment 5 Mohamed Ashiq 2017-03-17 11:01:17 UTC
Label cleanup [https://github.com/gluster/gluster-kubernetes/pull/154] needed few more stuff so these https://github.com/gluster/gluster-kubernetes/pull/191 and https://github.com/gluster/gluster-kubernetes/pull/199 were required.

We skipped as we did not have a downstream BZ.

Please add these two and do a Build. I verified it. It is working.

Comment 6 Apeksha 2017-03-28 07:07:17 UTC
Heketi is up and running after running cns_deploy on build:
cns-deploy-4.0.0-9.el7rhgs.x86_64 
heketi-client-4.0.0-4.el7rhgs.x86_64,
hence marking it as verified.

Comment 7 errata-xmlrpc 2017-04-20 18:27:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1112

Comment 8 vinutha 2018-12-06 19:27:42 UTC
Marking qe-test-coverage as - since the preferred mode of deployment is using ansible


Note You need to log in before you can comment on or make changes to this bug.